Bug Hunting Session
Bug 102624 - FILEOPEN: Optimal image wrap not being applied to image
Summary: FILEOPEN: Optimal image wrap not being applied to image
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc, filter:docx
Depends on:
Blocks: Anchor-and-Text-Wrap DOCX-Images DOC
  Show dependency treegraph
 
Reported: 2016-09-27 13:09 UTC by John F. Ervin
Modified: 2017-12-11 02:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
This is the document with the problem (388.53 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-09-27 13:12 UTC, John F. Ervin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John F. Ervin 2016-09-27 13:09:25 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/52.0.2743.116 Chrome/52.0.2743.116 Safari/537.36
Build Identifier: Version: 5.2.1.2 Build ID: 31dd62db80d4e60af04904455ec9c9219178d620

I have included an image in a document. I right click and select Properties, then the wrap tab and then "After".  The text is properly wrapped to the right of the image.  I save the document and re-open the document and the text is now behind the image and on the Wrap tab, the "Optimal" tab is selected.

Reproducible: Always

Steps to Reproduce:
1.add image with "After" wrap around selected and then save document in docx format.
2.re-open document and see that text is not behind image (or image is on top of text).
3.
Actual Results:  
the text is behind the image.  On the Wrap tab, the "Optimal" tab is now selected.
You could also say the image is on top of and covering the text.

Expected Results:  
I expect that the document will look the same when I re-open it as when I saved it.  I expect that the text will still be wrapped to the right of the image

There are two images in the file.  One of them didn't have the problem the second did consistently have the problem.  I don't see a way to attach the document but I will if I see a way.

This also happened in the previous version of Libreoffice which was the current version until a few days ago.


Reset User Profile?No
Comment 1 John F. Ervin 2016-09-27 13:12:36 UTC
Created attachment 127671 [details]
This is the document with the problem

There are two images in the document.  Check out the second one.  I open the document, fix the image (right click, Properties, Wrap Tab, After), move it a bit so that the text wraps correctly. and save it.  When I re-open, the changes are gone.
Comment 2 John F. Ervin 2016-09-27 13:13:15 UTC
This is on an Ubuntu 16.04 64 bit system.
Comment 3 Aron Budea 2016-09-28 00:10:49 UTC
Reproduced with v5.2.2.2 / Windows 7. This never seems to have worked, but behavior seems to have slightly changed over time (where the image appears after reload), so adjusting version to v4.1.0.4 for now.

Only happens when saving back to DOCX, not when saving to ODF.
Comment 4 Yousuf Philips (jay) (retired) 2016-09-28 06:19:00 UTC
So attachment 127671 [details] opens fine in MS Word 2010, so there is a problem with the import filter or repagination algorithm, as the issue fixed by moving the image and then pressing undo or switching to web view and back. This also happens when saving as doc, but doesnt when saving to odt or rtf.
Comment 5 QA Administrators 2017-12-10 16:42:32 UTC Comment hidden (obsolete)
Comment 6 John F. Ervin 2017-12-11 02:48:11 UTC
Well, the example I originally uploaded/attached seemed to work for me.

The version of Libreoffice that I run is (from Help/About Libreoffice):
Version: 5.4.3.2
Build ID: 1:5.4.3~rc2-0ubuntu0.17.10.1~lo1
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group